
From: Alan Cox <alan@redhat.com>

Capability elevation bug in 2.6.0 IDE. Long fixed in 2.4.x, trivial to cure



 25-akpm/drivers/ide/ide.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/ide/ide.c~ide-capability-elevation-fix drivers/ide/ide.c
--- 25/drivers/ide/ide.c~ide-capability-elevation-fix	Thu Dec 18 14:14:22 2003
+++ 25-akpm/drivers/ide/ide.c	Thu Dec 18 14:14:22 2003
@@ -1632,12 +1632,12 @@ int generic_ide_ioctl(struct block_devic
 #endif /* CONFIG_IDE_TASK_IOCTL */
 
 		case HDIO_DRIVE_CMD:
-			if (!capable(CAP_SYS_ADMIN) || !capable(CAP_SYS_RAWIO))
+			if (!capable(CAP_SYS_RAWIO))
 				return -EACCES;
 			return ide_cmd_ioctl(drive, cmd, arg);
 
 		case HDIO_DRIVE_TASK:
-			if (!capable(CAP_SYS_ADMIN) || !capable(CAP_SYS_RAWIO))
+			if (!capable(CAP_SYS_RAWIO))
 				return -EACCES;
 			return ide_task_ioctl(drive, cmd, arg);
 

_
